==============
Version 0.2.90
==============

This release is a major update that is based in the latest version
of gstreamer. It adds support for the DVBv5 API, which requires a
new format for the channels configuration file. In addition, the
client UI has been ported to python 3.

- Update daemon to use gstreamer 1.4.0
- Update client UI to python3
- New minimum requirements: vala 0.25.1, libgee 0.8,
  gstreamer/gst-plugins-bad 1.4.0, python 3.2

Translations:
- Updated ca: Gil Forcada
- Updated ca@valencia: Gil Forcada
- Updated cs: Marek Černock
- Updated el: Tom Tryfonidis
- Updated es: Daniel Mustieles
- Updated gl: Fran Dieguez
- Updated hu: Balázs Úr
- Updated id: Andika Triwidada
- Updated lv: Rūdolfs Mazurs
- Updated pl: Piotr Drąg
- Updated pt_BR: Enrico Nicoletto
- Updated sk: Dušan Kazik
- Updated sl: Matej Urbančič
- Updated sr@latin: Miroslav Nikolić
- Updated sr: Мирослав Николић
- Updated zh_CN: Wylmer Wang

==============
Version 0.2.10
==============

- Updated list of countries for initial tuning data
- Reuse thread in EPGScanner
- Drop obsolete option from DBus files

Translations:
- Updated de: Daniel Winzen
- Updated el: Tom Tryfonidis
- Updated en_GB: Chris Leonard
- Updated fi: Jiri Grönroos
- Updated hu: Gabor Kelemen
- Updated pl: Piotr Drąg
- Updated ru: Aleksej Kabano

=============
Version 0.2.9
=============

- Remove overlapping events from EPGStore
- Do not stop EPGScanner after failure
- Print all log messages using Logger
- Update timer in SQlite database when changing start time or duration
- Raise min PyGObject version to 3.2.1
- Raise min GLib version to stable 2.32

Translations:
- Updated fr: Pierre Henry
- Updated gl: Fran Dieguez

=============
Version 0.2.8
=============

This release fixes issues with Unicode encoding and removes a couple of
deprecation warnings by Vala. Therefore, the minimum required version changed
for pygobject (3.0.4), Vala (0.15) and GLib (2.31.0).

- Revert "Use ugettext to make sure we always get an utf8 encoded string"
- Replaced StaticRecMutex with RecMutex
- Removed usage of deprecated Thread.create function
- Removed custom bindings of signal.h

Translations:
- Updated cs: Marek Černocký
- Updated es: Daniel Mustieles
- Updated gl: Xosé M. Lamas
- Updated pl: Piotr Drąg
- Updated sl: Matej Urbančič

=============
Version 0.2.7
=============

This release fixes a bug where selecting a device in gnome-dvb-setup causes a crash.

- gnomedvb: Let get_adapter_info return a dict

=============
Version 0.2.6
=============

This is release fixes a couple of bugs, including one that caused Totem to crash
if the plugin was enabled.

- Don't use deprecated GTK+ widgets anymore
- Use ugettext to make sure we always obtain an utf8 encoded string
- totem-plugin: Change title of window to the name of the channel that is currently playing
- gnomedvb: Remove userdirs module and use GLib via introspection instead
- Added GetAdapterInfo method to Manager DBus interface
- Droped python-gstreamer dependency

=============
Version 0.2.5
=============

This release updates the list of supported countries for DVB-C and DVB-T.

- Append recordings to TreeStore with a single function call
- Added dvb-t initial tuning data for Andorra, Azerbaijan, Croatia, Hungary, Israel, Iran, Lithuania, Latvia, Romania, Slovenia, Viet Nam
- Added dvb-c initial tuning data for Czech Republic, Denmark, Spain, France, Hungary, Luxemburg

=============
Version 0.2.4
=============

This release fixes a couple of issues with vala 0.14.0,
which is now the required mininum version.

- Fixed various issues with vala 0.14.0
- When searching for recordings, skip hidden directories and set maximum recursion depth to three.

Translations:
-------------
- Updated es: Daniel Mustieles
- Updated fr: Claude Paroz
- Updated sl: Martin Srebotnjak

=============
Version 0.2.3
=============

This release fixes a couple of issue with pygobject-3.0.
pygobject 2.90.1 or later is required. Furthermore, it is
now possible to add fake devices for development purposes.

- Fixed bug where extended event description was not displayed when selecting an event in SchedulePaned
- Use GObject instead of gobject module
- Fixed retrieving iter pointing to start of previous day in ScheduleStore
- Don't bind gettext domain globally to avoid interfering with applications that import gnomedvb
- Allow to add fake devices to settings.ini
- Raised pygobject minimum version to 2.90.1
- Changed order of columns in RecordingsView

Translations:
-------------
- Updated gl: Fran Diéguez 
- Updated nb: Kjartan Maraas 
- Updated sl: Matej Urbančič 
- Updated zh_CN: Yinghua Wang

=============
Version 0.2.2
=============

This release fixes a bug where the EPG was not restored on startup.

- Make sure that Channel's GroupId is set in the constructor.
- Removed shebang from DBusWrapper.py
- Removed MediaServer1 D-Bus service file

Translations:
-------------
- Updated ru: Yuri Myasoedov

=============
Version 0.2.1
=============

This release fixes a bug that localization in the GUI
did not work correctly. In addition, DVB-T brute-force
scan works correctly, again.

- Fixed binding gettext domain
- gnomedvb: Set window position of preferences window
- gnomedvb: Launch gnome-dvb-setup when pressing on preferences button
- Manager: disconnect from destroyed signal before destroying Scanners in shutdown
- Adjusted DVB-T brute-force scan to new signature of AddScanningData method

Updated Translations:
---------------------
- Updated el: Giannis Katsampirhs

=============
Version 0.2.0
=============

- Fixed a couple of issues revealed by pylint
- Totem: Fixed spawning of gnome-dvb-setup
- Use void* instead of bool as return value in GThread function
- Use async methods instead of calling the methods with Idle.add

Updated Translations:
---------------------
- cs: Marek Černocký
- de: Mario Blättermann
- es: Jorge González
- pl: Piotr Drąg
- sl: Matej Urbančič

==============
Version 0.1.90
==============

This is the first release towards a GNOME3-compatible version.
The GUI has been ported from PyGTK using GTK+2 to PyGObject
and GObject-Introspection using GTK+3. In addition, the Totem
plugin has been ported to libpeas and works with Totem 3.
Both the daemon and the GUI use GDBus instead of dbus-glib to
communicate over DBus now.
This version does not support GNOME2, i.e. it won't work with
GTK+2 and Totem 2.

Minimum dependencies:
    - glib 2.28.5
    - gobject-introspection 0.10.8
    - pygobject 2.28.4
    - Vala 0.12.0

- Ported GUI to PyGI and GTK+3
- Use appointment-soon icon instead of stock_timer
- Do not use Gtk.Alignment anymore
- Mark what's on buttons insensitive if no device has been setup
- Retrieve totem plugin dir from pkg-config variable
- Avoid NULL pointer dereference in get_adapters()
- Totem: Ported plugin to PyGI, GTK+3 and libpeas
- Totem: Display recordings when changing 'group by' type.
- Fixed --{enable,disable}-totem-plugin option
- Ported the daemon to use gdbus instead of libdbus.
- Removed support for Rygel's MediaServer1 interface.
- Don't use deprecated functions anymore. Requires Vala >= 0.12.0
- Use a single Scanner DBus interface for all adapter types
- Ported GUI to use GDBus. Require pygobject >= 2.28.4 and glib >= 2.28.5
- Totem: Ported plugin to GDBus
- Use new logging facility

Updated Translations:
---------------------
- ar (Khaled Hosny)
- da (Ask Hjorth Larsen)
- de (Mario Blättermann)
- fi (Timo Jyrinki)
- fr (Claude Paroz)
- hu (Gabor Kelemen)
- lt (Mantas Kriaučiūnas)
- pl (Piotr Drąg)
- pt_BR (Edvaldo de Souza Cruz)
- sl (Matej Urbančič)
- sv (Daniel Nylander)

==============
Version 0.1.23
==============

Heuristics were added to detect outdated and obsolete EPG events.
In addition, it is possible so specify the network interface the
streaming server is listening on in the settings file, by default
it is set to the loopback interface.
This release requires Vala >= 0.11.2.

- Make ScheduleView searchable by using the title
- SchedulePaned: Don't allow to edit TextView
- Totem: use dgettext to avoid overriding Totem's translations;	https://launchpad.net/bugs/680519 fixed
- Fixed compiler errors. Requires Vala >= 0.11.2; https://launchpad.net/bugs/676263 fixed
- gnomedvb: Display adapter and frontend for each device in the setup assistant; https://launchpad.net/bugs/683950 fixed
- Detect overlapping EPG events and remove outdated events.
- Moved handling of GSequence to new class EventStorage.
- Removed desktop_DATA from EXTRA_DIST
- Use upstream gettext instead of glib one
- Do not use hostname in rtsp streaming	URL but use the IPv4 address of the interface specified in the settings file.

Updated Translations:
---------------------
- Arabic
- Czech
- Danish
- French
- Greek
- Hungarian
- Polish

==============
Version 0.1.22
==============

This release fixes an issue where Totem was unable to
connect to the daemon and a crasher when more than one
device group was used.
gst-rtsp-server 0.10.7 is required.

- Schedule: Lock access when adding epg	events to database; https://launchpad.net/bugs/642388 fixed
- gnomedvb: Insert channels into correct group when using more than one device group
- Fixed compiler warnings
- rtsp: set address of RTSPServer
- Updated minimum version of vala to 0.10.0, gstreamer to 0.10.29 and gst-rtsp to 0.10.7

Updated Translations:
---------------------
- Lithuanian  

==============
Version 0.1.21
==============

This release implements Rygel's MediaServerSpec2.
By default version 1 is used, use --enable-mediaserver2
to switch to the newer version.

- Build fixes for latest Vala and libgee
- Added implementation of Rygel's MediaServerSpec2
- Renamed option disable-rygel to disable-mediaserver
- Added enable-mediaserver2 option to command line interface
- Append channel name to rtsp URL
- totem: Monitor DBus for changing owner of org.gnome.DVB

Updated Translations:
---------------------
- Brazilian Portuguese
- English (United Kingdom)
- Czech
- Finnish
- French
- Italian
- Swedish

==============
Version 0.1.20
==============

This release adds a signal strength and signal quality
indicator to the channels scanner dialog.

- Display signal strength and signal-to-noise ratio when scanning
- Adjust to changes in Vala 0.9.1 (requires automake 1.11)
- ChannelFactory: set pipeline back to playing in remove_channel if others are still watching it
- Fixed bug where current time wasn't displayed in timer dialog

Updated Translations:
---------------------
Spanish

==============
Version 0.1.19
==============

This release contains minor bug fixes.

- Scanner: Create channels with Channel.without_schedule
- gnomedvb: Catch error when retrieving icon from icon theme
- totem-plugin: Fixed opening of DVB preferences window

==============
Version 0.1.18
==============

This release adds hot-plugging support for devices and
includes various performance improvements regarding accessing
the SQLite database.

- totem-plugin: Use gnome-dvb-daemon domain for gettext and locale
- SqliteEPGStore: Set synchronous pragma to OFF for speed reasons
- Added support for hot-plugging devices
- Added GetDevices method to manager DBus interface to retrieve informations about devices via udev
- Removed python udev module and use new DBus method instead
- Group sql statements into one transaction where possible
- Schedule: Remove all expired events of a channel with a single query

Updated Translations:
---------------------
- Brazilian Portuguese
- Czech
- Danish
- French
- Polish

==============
Version 0.1.17
==============

In this release udev is used to retrieve a list of connected
devices instead of HAL and a lot of bugs have been fixed in
the channel scanner.

- Made progressbar pulsing when fraction is not known, yet; https://launchpad.net/bugs/540945 fixed
- Change page type of ChannelScanPage to CONTENT marking the cancel button sensitive; https://launchpad.net/bugs/540945 fixed
- Use TreeView to display satellites, antennas and cable providers. Added mnemonics; https://launchpad.net/bugs/540952 fixed
- Fixed crash of assistant on last page if in expert mode
- Set cursor to watch while reading list of antennas/providers;	https://launchpad.net/bugs/540948 fixed
- Don't destroy scanner if error is posted on bus; https://launchpad.net/bugs/540937 fixed
- Added icons for gnome-dvb-control and gnome-dvb-setup (many thanks to Klaus Staedler)
- Use udev instead of HAL to retrieve devices
- Fixed compiler errors with Vala 0.8.0
- Convert XDG user dir path to utf8; https://launchpad.net/bugs/558583 fixed
- Use tuning parameters from initial tuning data instead of NIT; https://launchpad.net/bugs/548738 fixed
- Check if filename of initial tuning data is formated as we expect; https://launchpad.net/bugs/518327 fixed
- Made the call to destroy the scanner async and show dialog with progressbar in the meantime; https://launchpad.net/bugs/519696 fixed
- Don't restore EPG events in constructor of Schedule but delay the whole process
- Use adapter and frontend to determine type of device instead of adapter only; https://launchpad.net/bugs/558806 fixed

Updated Translations:
---------------------
- Czech
- English (United Kingdom)
- French
- German
- Spanish

==============
Version 0.1.16
==============

In this release a couple of bugs in the setup
assistant where fixed. In addition, channels
are divided into a TV and Radio group.

- Fixed crash in Scanner.Destroy (fixes bug #528849)
- Allow getting back to adapters page when not in expert mode (fixes bug #531237)
- Fixed crash when trying to close stream that never was opened before (fixes bug #533533)
- Show error message if no channels were found (fixes bug #533533)
- Added is_radio field to ChannelInfo struct returned by ChannelList's get_channel_infos method.
- When grouping channels add TV and Radio group by default. Escape names of groups and channels.

Updated Translations:
---------------------
- Czech
- Danish
- English (United Kingdom)
- Polish

==============
Version 0.1.15
==============

This release adds the possibility to edit the start time
and duration of scheduled recordings.

- Added button to DetailsDialog to schedule a recording (fixes bug #486771)
- Allow editing of timer's start time and duration
- Lock access to new_channels ArrayList (fixes bug #511271)
- Fixed compiler warnings and errors
- Various UI improvements

Updated Translations:
---------------------
- Arabic
- French
- German
- Polish

==============
Version 0.1.14
==============

The main focus for this release was to make the GUI more
consistent and accessible. In addition, the Totem plugin
now replaces Totem's own DVB capabilities.

- Link against gstreamer-rtsp-0.10 as well
- Added right-click menu to ChannelScanPage to de-/select all channels; https://launchpad.net/bugs/486610 fixed
- Fixed crash when not supported adapter type was used
- Don't	display device groups combobox if there's only one group
- Lots of improvements to the UI regarding HIG conformance
- Fixed bug when recording and rtsp	streaming of the same channel took place at the same time and the pipeline stalled
- Display message if no devices could be found even if not in expert mode;	https://launchpad.net/bugs/497376 fixed
- Totem plugin: Removed dialog asking the user to start the setup
- Totem plugin: Only display DVB related stuff if at least one device has been detected on startup
- Totem plugin: Marked Totem plugin as builtin so it is enabled by default;	https://launchpad.net/bugs/497381 fixed

Updated Translations:
---------------------
- German
- Polish
- Turkish

==============
Version 0.1.13
==============

This release adds the option to display channel groups in the Totem
plugin. Additionally, it contains major bug fixes.
This version depends on gst-rtsp-server 0.1.5 and GStreamer 0.10.25.

- Added option to order channels by name or group to Totem plugin
- Display error message if retrieving devices fails
- Handle displaying DetailsDialog when clicking on event directly in RunningNextView
- Check if recording doesn't already exist before starting the actual recording
- Don't allow to create devices where retrieving the adapter's type failed
- Unescape ' when retrieving text from sqlite db
- Don't return expired events in GetAllEvents and GetAllEventInfos
- Fixed a couple of bugs when recording/watching multiple channels at the same time on the same	device
- Fixed crash when streaming is forced to stop because a recording is about to start
- Fixed compiler warnings with latest Vala
- Fixed bug in getting EPG information for timer if the timer was completely contained in the event
- Added Mandriva specific directory /usr/share/dvb-apps/scan containing initial tuning data

Updated Translations:
---------------------
- French
- German
- Polish
- Spanish
- Swedish

==============
Version 0.1.12
==============

This is mainly another bug fix release which
fixes a couple of crasher bugs. In addition,
the D-Bus API is now more consistent.

- Removed most markups from the	translatable strings
- Fixed crash in GetChannelURL if channel_id doesn't exist
- Reverted r756: Use libgee's to_array methods where applicable
- Added option to display channel groups to ChannelsTreeStore
- Fixed crasher in GetAllInformations if id doesn't exist
- Return true if id is valid but channel has no name/network in GetChannelName and GetChannelNetwork
- Fixed crasher in GetAllInformations in Recorder if provided id does not exist
- GetTitle in Recorder returns true if the id is valid but no title is available
- Fixed crasher in GetInformations in Schedule if invalid id was provided
- GetSchedule returns true on success, ObjectPath is returned as out parameter
- AddChannelGroup returns the id of	the group in an out parameter
- Catch exception when removing item from GtkRecentManager in Totem plugin
- Remove device	from unassigned devices if device or group is added

Updated Translations:
---------------------
- Finnish
- French
- German
- Polish
- Serbian
- Spanish
- Swedish
- Telugu

==============
Version 0.1.11
==============

This release fixes a couple of bugs that made the last
release partly unusable.

- Fixed bug #442490: Use iso_3166 to translate countries.
- Use locale.strcoll to sort country names.
- Fixed bug #442428: Import AlignedLabel from the correct module
- Create parent directories of databse file if they don't exist
- Fixed duplicate actiongroup name

==============
Version 0.1.10
==============

This release features an improved D-Bus API.
When scanning for channels all scrambled channels can be
unselected at once. Channels can be assigned to any number of groups.
You have to delete your configuration at ~/.config/gnome-dvb-daemon in order
to use this version. Future versions will provide a way to update the database
scheme.
This version depens on libgee 0.5.0.

- Added	CheckButton to (de)select scrambled channels
- Updated DBus API for ChannelList: Use out parameter and return TRUE on success where applicable
- Use out parameters and return true on	success for GetScannerForDevice, GetDeviceGroup and	GetNameOfRegisteredDevice Manager
- Use out parameters and return true on	success for AddTimer, AddTimerWithMargin, AddTimerForEPGEvent, GetStartTime, GetEndTime, GetDuration, GetChannelName, GetTitle, GetAllInformations in Recorder
- Use out parameters and return true on success for GetLocation, GetName, GetDescription, GetStartTime,	GetStartTimestamp, GetLength, GetChannelName, GetAllInformations in RecordingsStore
- Use out parameters and return true for GetInformations, GetName, GetShortDescription, GetExtendedDescription,	GetDuration, GetLocalStartTime, GetLocalStartTimestamp, IsRunning and IsScrambled in Schedule
- Display extended event description in textview instead of	expanding the selected row
- Display dialog with details when double-clicking on an event in What's on now view on control center
- Overlapping timers on the same channel never conflict
- Added vapi/config.vapi to EXTRA_DIST target
- Display error dialog if writing channels.conf fails
- Refactored Sqlite database access: This adds support for versioned database schemes and the possibility to upgrade them.
- Added support for assigning channels to one or more groups
- Added ChannelListEditorDialog
- Moved to libgee 0.5.0

=============
Version 0.1.9
=============

This is mainly a bug fix release. In addition, it is now possible
to retrieve the title of the show a particular timer is scheduled for.
This requires an updated database scheme. Make sure to delete the 
old database at ~/.cache/gnome-dvb-daemon.
This version depends on libgee 0.3.0

- Use timer's EPG event id to assign name and description to recording
- Fixed bug #591542: Make install rule not working correctly for client/gnomedvb/userdirs/ subdir on x86_64
- Fixed bug #588611: RTSP server exposes local RTPS URL for live TV
- Don't cause endless loop causing 100% CPU usage when selected an entry in ScheduleView
- Fixed exception when scheduling selected event for recording was canceled
- Moved to libgee 0.3.0
- Use own main loop in EPGScanner
- Use own main loop for Scanner
- Use write_all instead of write
- Show error message if initial tuning data was not found

=============
Version 0.1.8
=============

In this release live TV and recordings handled the same way.
Thus conflicts between live TV and recordings can be resolved.
Furthermore, all features that are available in gnome-control-center can
be accessed from the Totem plugin. The setup assistant got re-designed and
does most of the work automatically now.
This release depends on libgee 0.1.6 and gst-rtsp-server 0.10.4.

- Fixed bug #582927: Totem plugin fails to start: Non-ASCII character in python source
- Fixed bug #582925: Symbol-rate unit mismatch
- Renamed method WriteChannelsToFile to WriteAllChannelsToFile. WriteChannels now expects a list of SIDs and a path and will store all channels in the given order to the file.
- Added the possibility to choose and reorder channels after the scan completed.
- Added SetDeviceGroupName, (Get|Set)RecordingsDirectory methods
- Added EditGroupDialog
- Fixed crash when adding same epg event of different device group.
- Delete EPG events of group when it gets destroyed
- Moved handling of devices and creating dvbbasebin elements to new ChannelFactory and PlayerThread classes.
- Added DVB menu, schedule dialog, timers dialog, preferences dialog and right-click menus to Totem plugin
- Implemented Rygel MediaServer spec.
- Fixed bug #586230: Channel results should pack checkbox in first column
- Fixed bug #586231: Removed frequency column and never show horizontal scrollbars
- Fixed bug #586224: No need for device selection in setup wizard
- Fixed bug #586226: Device type not user-friendly
- Re-designed big portions of gnome-dvb-setup (fixex bugs #586227, #586228 and #586232)
- Add Hong Kong to list of countries in Initial Tuning Data Page
- Stop streaming channels when a recording is about to start on a different transport stream and no free devices are available
- Fixed bug where all streams of a channel were stopped when a single client/recording stopped
- Check if all required GStreamer elements are available, if not print an error message and quit.
- Override information that Totem writes to GtkRecentManager

=============
Version 0.1.7
=============

This release mainly fixes an error of the last release where an
unreleased version of libgee was used to generate the code.
Furthermore, scheduling a recording by EPG event will now
automatically add a margin before and after the recording.

- AddTimerForEPGEvent calls AddTimerWithMargin now

=============
Version 0.1.6
=============

This release adds a dialog to gnome-dvb-control to manage recordings.
In addition, a bug in the channels scanner has been fixed. The results
should be reproduceable in each scan now. In addition, you can now
record multiple channels on the same transport stream at the same time.
EPG information is now stored for each device group separately. Therefore,
you have to delete the old database at ~/.cache/gnome-dvb-daemon.
This version requires gst-rtsp 0.10.2.

- Save channel's name instead of SID in Recording
- Added GetChannelName method to RecordingsStore
- Added RecordingsStore and RecordingsView widgets and RecordingsDialog
- Added Recordings button to manage recordings
- Only create EPGScanner in DeviceGroup if with_epg_scanner is true
- Fixed bug that channel scanner did not find all channels
- Adjust to latest gst-rtsp-server
- Added GroupId property to Channel
- Store EPG information for each device group separately
- Add default early start and late finish values to timers
- Timer is now due if the current time is greater or equal the timer's start time and the timer didn't expire, yet
- Added AddTimerWithMargin method
- conflicts_with returns false if channels of timers are on the same transport stream
- Fixed bug in Recorder that prevented recording multiple channels on same TS working correctly

=============
Version 0.1.5
=============

In this release the values in the channels.conf file are checked.
In addition, a bug has been fixed where device groups weren't restored
correctly and text and layout of the assistant were improved.

- Start EPG scanner after group has been created
- Added sanity checks when getting values, names and nicks from enums
- Adjusted to changes in AdapterType enum. Fixes error when parsing channels.conf
- Improved sanity checks for values in ChannelListWriter
- Abort parsing line when converting enum failed
- Made some of the DBus calls in clients async
- Retrieve adapter type and name in a single pipeline
- Improved the wording in the assistant to be HIG compliant
- Added refresh button which reloads the program guide

=============
Version 0.1.4
=============

This release fixes a couple of bugs and shows a timer icon
in gnome-dvb-control if a recording overlaps with the event
and a help message if no groups are configured.

- Import correct module in gnome-dvb-setup
- Fixed imports in Totem plugin
- Use action_remote instead of set_mrl_and play in Totem plugin
- Fixed problem when epg scanner was stopped during an active scan
- Renamed Timer.is_in_range to get_overlap_local. It now returns the type of the overlap, too
- Added HasTimerForEvent method to Recorder DBus interface
- Display timer icon in the first column if a timer exists that overlaps with the event in gnome-dvb-control
- Display help message if no devices are configured
- Only print debug messages with --debug is provided
- Mark timers button sensitive when group is selected
- Don't add device groups of unknown type
- Renamed get to get_event to avoid confusions with GObject's get method
- Renamed get to get_channel to avoid confusions with GObject's get method

=============
Version 0.1.3
=============

In this release all UI clients have been merged into
gnome-dvb-control (previously gnome-dvb-schedule).
In addition, dvb-daemon works with gst-rtsp-server 0.10.1.

- Adjusted to changes of gst-rtsp-server in main branch
- Integrated gnome-dvb-timers and gnmome-dvb-preferences into new gnome-dvb-control (previously gnome-dvb-schedule).
- Display help message if no channel is selected
- Removed Preferences ToolButton.
- Added ToolButton and MenuItem for 'Previous Day' and 'Next Day' 
- Show error message when timer for epg event could not be created

=============
Version 0.1.2
=============

This release mostly fixes bugs and memory leaks.
Therefore, scanning for channels works much better.
Furthermore, the program guide looks much nicer now.

- Added GetDeviceGroupName method to Manager DBus interface.
- Added parameter name to AddDeviceToNewGroup method.
- Added name field to dialog to create new group.
- Added freq_left parameter to frquency_scanned signal.
- Removed GetQueueSize method from Scanner interface.
- Fixed bug	#565247: Progressbar while scanning channels doesn't work correctly
- Use only one TreeView in ChannelScanPage and display channel type as icon.
- If channel is	scrambled display emblem-readonly icon in scanner
- Retrieve network name	correctly.
- Fixed a couple of bugs in the Scanner that caused the output to change on each scan.
- GConfStore got replaced with SqliteConfigTimersStore which stores everything in a Sqlite DB.
- Dropped gconf dependency.
- Fixed crash when returning NULL string over DBus
- Cleanup correctly when process is aborted
- Add recording to RecordingsStore when	recording begins.
- Use event's short and extended description as	Recording's description
- In serialized recording save name and	description in as last two items
- Minor UI tweaks in new timer dialog
- Improved epg browser to look much nicer

=============
Version 0.1.1
=============

This is the first release that features live TV streaming
via RTSP and a Totem plugin to watch live TV and recordings.

- Made sure it compiles with latest Vala
- Use .mpeg extension instead of .ts for recordings
- Added GetChannelURL to ChannelList DBus interface
- Accept any number of whitespaces between values in initial tuning data
- Added	ChannelsTreeStore widget
- Added live TV streaming support via RTSP
- Added Totem plugin

Translations:
    - Swedish (Daniel Nylander)

=============
Version 0.1.0
=============

This is the first release of GNOME dvb-daemon.
With dvb-daemon you can easily setup your DVB cards,
schedule recordings and browse EPG.

The list of features includes:
    - Recording with manually provided start time and duration
    - Automatically distribute overlapping recordings between adapters of same group
    - Scan for channels with initial tuning data
    - Brute force scan for DVB-T
    - Browse already recorded shows
    - Browse EPG data
    - UI to scan for channels
    - UI to configure devices
    - UI to create and delete timers
    - Schedule recording from EPG
    - Recognize when recorded show is deleted manually and not by the daemon
    
This is the first release, so things might fail. If that's the case for you
please report any issues you encounter.
